LowMemoryException (Apache Geode 1.15.4)

org.apache.geode.cache

## Class LowMemoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.ResourceException
            - - org.apache.geode.cache.LowMemoryException

- All Implemented Interfaces:
    Serializable

      public class LowMemoryException
      extends ResourceException

  Indicates a low memory condition either on the local or a remote `Cache`. The `ResourceManager` monitors local tenured memory consumption and determines when operations are rejected.
  Since:
    GemFire 6.0
  See Also:
    `ResourceManager.setCriticalHeapPercentage(float)`, `Region.put(Object, Object)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LowMemoryException()` Creates a new instance of `LowMemoryException`.
    `LowMemoryException(String msg, Set<DistributedMember> criticalMembers)` Constructs an instance of `LowMemoryException` with the specified detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<DistributedMember>` | `getCriticalMembers()` Get a read-only set of members in a critical state at the time this exception was constructed.

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LowMemoryException

          public LowMemoryException()

      Creates a new instance of `LowMemoryException`.

    - #### LowMemoryException

          public LowMemoryException(String msg,
                                    Set<DistributedMember> criticalMembers)

      Constructs an instance of `LowMemoryException` with the specified detail message.
      Parameters:
        `msg` - the detail message
        `criticalMembers` - the member(s) which are/were in a critical state

  - ### Method Detail

    - #### getCriticalMembers

          public Set<DistributedMember> getCriticalMembers()

      Get a read-only set of members in a critical state at the time this exception was constructed.
      Returns:
        the critical members